- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::SL3::SecurityManager Class Reference

`#include <SL3_SecurityManager.h>`

Inheritance diagram for TAO::SL3::SecurityManager:

[legend]
Collaboration diagram for TAO::SL3::SecurityManager:

[legend]
List of all members.

## Public Member Functions
| SecurityManager (SecurityLevel3::CredentialsCurator_ptr cc)
| Constructor.
SecurityLevel3::SecurityManager Methods
Methods required by the SecurityLevel3::SecurityManager interface.
virtual SecurityLevel3::CredentialsCurator_ptr | credentials_curator () throw (CORBA::SystemException)
virtual SecurityLevel3::TargetCredentials_ptr | get_target_credentials (CORBA::Object_ptr the_object) throw (CORBA::SystemException)
virtual SecurityLevel3::ContextEstablishmentPolicy_ptr | create_context_estab_policy (SecurityLevel3::CredsDirective creds_directive, const SecurityLevel3::OwnCredentialsList &creds_list, SecurityLevel3::FeatureDirective use_client_auth, SecurityLevel3::FeatureDirective use_target_auth, SecurityLevel3::FeatureDirective use_confidentiality, SecurityLevel3::FeatureDirective use_integrity) throw (CORBA::SystemException)
virtual SecurityLevel3::ObjectCredentialsPolicy_ptr | create_object_creds_policy (const SecurityLevel3::OwnCredentialsList &cred_list) throw (CORBA::SystemException)
## Protected Member Functions
virtual | ~SecurityManager (void)
| Destructor.
## Private Attributes
SecurityLevel3::CredentialsCurator_var | credentials_curator_

## Constructor & Destructor Documentation

TAO::SL3::SecurityManager::SecurityManager | ( | SecurityLevel3::CredentialsCurator_ptr | cc | ) |

Constructor.

TAO::SL3::SecurityManager::~SecurityManager | ( | void |  | ) | `[protected, virtual]`

Destructor.

Protected destructor to enforce proper memory management through the reference counting mechanism.

## Member Function Documentation

SecurityLevel3::ContextEstablishmentPolicy_ptr TAO::SL3::SecurityManager::create_context_estab_policy | ( | SecurityLevel3::CredsDirective | creds_directive,
|  | const SecurityLevel3::OwnCredentialsList & | creds_list,
|  | SecurityLevel3::FeatureDirective | use_client_auth,
|  | SecurityLevel3::FeatureDirective | use_target_auth,
|  | SecurityLevel3::FeatureDirective | use_confidentiality,
|  | SecurityLevel3::FeatureDirective | use_integrity |
| ) |  |  | throw (CORBA::SystemException)`[virtual]`

virtual SecurityLevel3::ObjectCredentialsPolicy_ptr TAO::SL3::SecurityManager::create_object_creds_policy | ( | const SecurityLevel3::OwnCredentialsList & | cred_list | ) | throw (CORBA::SystemException)`[virtual]`

virtual SecurityLevel3::CredentialsCurator_ptr TAO::SL3::SecurityManager::credentials_curator | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

SecurityLevel3::TargetCredentials_ptr TAO::SL3::SecurityManager::get_target_credentials | ( | CORBA::Object_ptr | the_object | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

SecurityLevel3::CredentialsCurator_var TAO::SL3::SecurityManager::credentials_curator_`[private]`

The ORB-specific SecurityLevel3::CredentialsCurator reference.

The documentation for this class was generated from the following files:

- SL3_SecurityManager.h
- SL3_SecurityManager.cpp